Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.tiles.renderer.impl
Class AbstractTypeDetectingAttributeRenderer

    java.lang.Object
      org.apache.tiles.renderer.impl.AbstractBaseAttributeRenderer
          org.apache.tiles.renderer.impl.AbstractTypeDetectingAttributeRenderer

All Implemented Interfaces:
  TilesApplicationContextAware, TilesRequestContextFactoryAware, AttributeEvaluatorFactoryAware, AttributeRenderer, TypeDetectingAttributeRenderer

Direct Known Subclasses:
  DefinitionAttributeRenderer, FreeMarkerAttributeRenderer, StringAttributeRenderer, TemplateAttributeRenderer, VelocityAttributeRenderer

    public abstract class AbstractTypeDetectingAttributeRenderer

extends AbstractBaseAttributeRenderer
implements TypeDetectingAttributeRenderer

Abstract implementation of `TypeDetectingAttributeRenderer` that implements `isRenderable(Attribute, TilesRequestContext)` to delegate to `TypeDetectingAttributeRenderer.isRenderable(Object, Attribute, TilesRequestContext)`.

Since:
  2.2.1
Version:
  $Rev: 821299 $ $Date: 2009-10-03 14:15:05 +0200 (sab, 03 ott 2009) $

Field Summary

Fields inherited from class org.apache.tiles.renderer.impl.AbstractBaseAttributeRenderer
`applicationContext, attributeEvaluatorFactory, contextFactory`

Constructor Summary
`AbstractTypeDetectingAttributeRenderer()`

Method Summary
`boolean` | `isRenderable(Attribute attribute, TilesRequestContext request)` Checks if this renderer can render an attribute.

Methods inherited from class org.apache.tiles.renderer.impl.AbstractBaseAttributeRenderer
`getRequestContext, isPermitted, render, setApplicationContext, setAttributeEvaluatorFactory, setRequestContextFactory, write`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.apache.tiles.renderer.TypeDetectingAttributeRenderer
`isRenderable`

Methods inherited from interface org.apache.tiles.renderer.AttributeRenderer
`render`

Constructor Detail

### AbstractTypeDetectingAttributeRenderer

    public AbstractTypeDetectingAttributeRenderer()

Method Detail

### isRenderable

    public boolean isRenderable(Attribute attribute,
                                TilesRequestContext request)

  Checks if this renderer can render an attribute. Note that this does not mean it is the best renderer available, but checks only its capability.

  Specified by:
    `isRenderable` in interface `TypeDetectingAttributeRenderer`
  Parameters:
    `attribute` - The attribute to be renderer.
    `request` - The Tiles request context.
  Returns:
    `true` if this renderer can render the attribute.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2010 Apache Software Foundation. All Rights Reserved.